function im_region=painting(im,im_label)
%Cette fonction attribue  chaque zone le niveau de gris 
%de sa zone  partir seulement de l'image et de l'image des tiquettes.
%
%    im_region=painting(im,im_label);
  im_region=zeros(size(im));
  list=create_list(im_label);
  %moyenne calcule sur une rgion
  mean_rg=inline('sum(im.*region)/sum(region)','im','region');
  for label_cpt=list
    region=(im_label==label_cpt);
    im_region=im_region+mean_rg(im,region)*region;    
  end;


function list=create_list(matrix)
%Cette fonction cr une liste des valeurs prises par matrix,
%matrix tant  valeurs entires
  matrix=matrix(:);
  val_max=max(matrix);
  list=[];
  for val=0:val_max
    if any(matrix==val) list=[list val]; end;
  end;
