function im_region=painting1(im,im_label,noise)
%Cette fonction attribue  chaque zone le niveau de gris 
%de sa zone  partir seulement de l'image et de l'image des tiquettes.
%Cette fonction met du bruit sur l'tiquette 0 qui correspond aux zones 
%non-segmentes.
%
% im_region=painting(im,im_label,rand(size(im)));

  im_region=zeros(size(im));
  list=create_list1(im_label);
  %moyenne calcule sur une rgion
  mean_rg=inline('sum(im.*region)/sum(region)','im','region');
  for label_cpt=list
    region=(im_label==label_cpt);
    im_region=im_region+mean_rg(im,region)*region;    
  end;
  im_region=im_region+noise.*(im_label==0);


function list=create_list1(matrix)
%Modification pour retirer l'tiquette 0
%Cette fonction cr une liste des valeurs prises par matrix,
%matrix tant  valeurs entires
  matrix=matrix(:);
  val_max=max(matrix);
  list=[];
  for val=1:val_max
    if any(matrix==val) list=[list val]; end;
  end;
