function im_label_new=LabelMatch(im_label,TrueLabel)
  %Pour chaque tiquette de TrueLabel (0 ou 1), 
%on considre la rgion la plus grande de im_label.
%Les autres ont une tiquettes avec des zros.


im_label_ter=zeros(size(im_label));
k=2;
im_label_k=im_label.*(TrueLabel==1);
s  = regionprops(1+im_label_k,'Area','PixelIdxList');
area=[];
for index=1:size(s,1)
  if (s(index).Area>0) 
    pixel=s(index).PixelIdxList(1);
    area=[area; im_label(pixel) s(index).Area im_label_k(pixel)];
  end;
end;
area=sortrows(area,-2);
if (0==area(1,3))
  val=area(2,1);
else
  val=area(1,1);
end;  
im_label_ter=im_label_ter+2*(im_label==val);
k=1;
im_label_k=im_label.*(TrueLabel==0);
s  = regionprops(im_label_k,'Area','PixelIdxList');
area=[];
for index=1:size(s,1)
  if (s(index).Area>0) 
    pixel=s(index).PixelIdxList(1);
    area=[area; im_label(pixel) s(index).Area im_label_k(pixel)];
  end;
end;
area=sortrows(area,-2);
if (0==area(1,3))
  if (val==area(2,1))
    val1=area(3,1);
  else 
    val1=area(2,1);
  end;
else
  if (val==area(1,1))
    if (0==area(2,3))
      val1=area(3,1);
    else 
      val1=area(2,1);
    end;
  else
    val1=area(1,1);
  end; 
end;  
im_label_ter=im_label_ter+(im_label==val1);

im_label_ter=0*(im_label_ter==1)+1*(im_label_ter==2)+0.5*((im_label_ter~=1)&(im_label_ter~=2));

im_label_new=im_label_ter;
