function im_label=growing(im)
%Fonction de segmentation par croissance de rgion
% im_label=growing(im);

%Fonction en ligne pour calculer un contour
texte=ver('matlab');
if (str2num(texte.Version)<6)
  region2contour=inline('double(dilate(region,ones(3)))&(region==0)','region');
else
  region2contour=inline('imdilate(region,ones(3))&(region==0)','region');
end;
%Fonction en ligne 
%pour implmenter la structure de pile adapte pour les rgions
  region_build=inline('zeros(size_)','size_');
  region_in=inline('region|point','region','point');
  region_not_empty=inline('any(region(:))','region');


%Programme
  im_label=region_build(size(im));
  while(region_not_empty(im_label==0))
    %choix d'une nouvelle graine appele region pour la suite
    region=region_out(im_label==0);
    %choix d'un contour exterieur  la rgion et 
    %extrieur aux tiquettes dj prises
    contour=(region2contour(region)&(im_label==0));
    %essai de croissance sur chaque point du contour
    while(region_not_empty(contour))
    %%debug
    %	sum(contour(:))/prod(size(im))*100,
    %	sum(contour(:)),
    %im_label_db=((im_label~=0)+0.5*(region)+0.2*contour);
    % figure(2);
    %imshow(im_label_db), pause(0.01),
    

      [point,contour]=region_out(contour);
      %Si fusion croissance de la rgion 
      if (growing_criterion(im,region,point))
         region=region_in(region,point);
         contour=(region2contour(region)&(im_label==0));
      end;
    end;
    %%debug
    %im_label_db=((im_label~=0)+0.5*(region));
    %figure(2); imshow(im_label_db), pause,
    %region est maintenant mis dans im_label
    im_label=im_label+(1+max(im_label(:)))*region;
  end;



  
function [point,region2]=region_out(region1)
  hasard=rand(size(region1));
  point=(region1.*hasard==max(max(region1.*hasard)));
  region2=region1-point;
