function im_label=split4(im,threshold)
%Cette fonction utilise le quadtree

variance=inline('std(reshape(X,[size(X,1)*size(X,2) size(X,3)]))>val','X','val');
S = full(qtdecomp(im,variance,threshold));
im_label=zeros(size(S));
last_label=0;
for dim = (unique(S(S>0))).'
  numblocks = length(find(S==dim));    
  if (numblocks > 0)
    clear values; 
    values(1,1,1:numblocks)=last_label+(1:numblocks); 
    last_label=last_label+numblocks;
    values=repmat(values,[dim dim 1]);        
    im_label = qtsetblk(im_label,S,dim,values);
  end;
end;
